pub mod aes128 {
    use aes::cipher::{generic_array::GenericArray, KeyInit, BlockEncrypt, BlockDecrypt};

    pub fn encrypt(key: [u8; 16], block: [u8; 16]) -> [u8; 16] {
        let key = GenericArray::from(key);
        let aes = aes::Aes128::new(&key);

        let mut block = GenericArray::from(block);
        aes.encrypt_block(&mut block);
        <[u8; 16]>::from(block)
    }

    pub fn decrypt(key: [u8; 16], block: [u8; 16]) -> [u8; 16] {
        let key = GenericArray::from(key);
        let aes = aes::Aes128::new(&key);

        let mut block = GenericArray::from(block);
        aes.decrypt_block(&mut block);
        <[u8; 16]>::from(block)
    }
}